{% macro _input(value) %}
  <div class="input-group">
    <input
      placeholder="Suchen..."
      name="term"
      {% if value is not none %}
        value="{{ value }}"
      {% endif %}
      type="text"
      class="form-control form-control"
    />
    <button class="btn btn-primary" type="submit">Suchen</button>
  </div>
{% endmacro %}

{% macro _search_in(filter) %}
  <div
    class="input-group input-group"
    data-bs-toggle="tooltip"
    data-bs-placement="left"
    data-bs-title="{{ filter.label }}"
  >
    <label class="input-group-text" for="search_in_filter">
      <i class="bi bi-search" aria-hidden="true"></i>
    </label>
    <select
      id="search_in_filter"
      name="{{ filter.parameter_name }}"
      class="form-select"
      aria-label="{{ filter.label }}"
    >
      {% for option in filter.options %}
        <option
          value="{{ option.value }}"
          {% if option.is_active %}selected{% endif %}
        >
          {{ option.label }}
        </option>
      {% endfor %}
    </select>
  </div>
{% endmacro %}

{% macro _sort_by(filter) %}
  <div
    class="input-group input-group"
    data-bs-toggle="tooltip"
    data-bs-placement="left"
    data-bs-title="{{ filter.label }}"
  >
    <label class="input-group-text" for="sort_by_filter">
      <i class="bi bi-sort-down" aria-hidden="true"></i>
    </label>
    <select
      id="sort_by_filter"
      name="{{ filter.parameter_name }}"
      class="form-select"
      aria-label="{{ filter.label }}"
    >
      {% for option in filter.options %}
        <option
          value="{{ option.value }}"
          {% if option.is_active %}selected{% endif %}
        >
          {{ option.label }}
        </option>
      {% endfor %}
    </select>
  </div>
{% endmacro %}

{% macro search_bar(search, total_count, elapsed_milliseconds, csv_download_url) %}
  <div
    class="d-flex flex-column gap-2 p-3 bg-body-tertiary border-top border-bottom"
  >
    <h2 class="visually-hidden">Sucheingabe</h2>
    {{ _input(search.value) }}

    <div
      class="d-flex flex-row flex-wrap gap-2 justify-content-between align-items-start"
    >
      <small class="text-muted">
        Insgesamt {{ total_count }}
        {% if total_count == 1 %}Ergebnis{% else %}Ergebnisse{% endif %}
        in {{ elapsed_milliseconds }} ms.
      </small>

      <div class="d-flex justify-content-end">
        <a
          href="#search-filters"
          class="btn btn-light btn-sm visually-hidden-focusable"
        >
          Zum Suchfilter springen
        </a>
      </div>
      <div class="d-flex flex-row flex-wrap flex-md-nowrap gap-2">
        {% if search.search_in_filter %}
          {{ _search_in(search.search_in_filter) }}
        {% endif %}

        {% if search.sort_by_filter %}
          {{ _sort_by(search.sort_by_filter) }}
        {% endif %}
        <a
          href="{{ csv_download_url }}"
          class="btn-input-group"
          hx-boost="false"
          data-bs-toggle="tooltip"
          data-bs-trigger="hover focus"
          data-bs-placement="bottom"
          data-bs-title="Suchergebnisse als CSV herunterladen"
        >
          <i class="bi bi-download" aria-hidden="true"></i>
        </a>
      </div>
    </div>
  </div>
{% endmacro %}
